import { buildProps, definePropType } from "../../../utils/vue/props/runtime.mjs";
const popperTriggerProps = buildProps({
  virtualRef: { type: definePropType(Object) },
  virtualTriggering: Boolean,
  onMouseenter: { type: definePropType(Function) },
  onMouseleave: { type: definePropType(Function) },
  onClick: { type: definePropType(Function) },
  onKeydown: { type: definePropType(Function) },
  onFocus: { type: definePropType(Function) },
  onBlur: { type: definePropType(Function) },
  onContextmenu: { type: definePropType(Function) },
  id: String,
  open: Boolean
});
export {
  popperTriggerProps
};
